# Uses of Class
org.eclipse.swt.graphics.Rectangle

Packages that use Rectangle
Package
Description
org.eclipse.nebula.jface.gridviewer
org.eclipse.nebula.widgets.grid
org.eclipse.rap.rwt.remote
org.eclipse.swt.accessibility
org.eclipse.swt.custom
org.eclipse.swt.graphics
org.eclipse.swt.widgets

## Uses of Rectangle in org.eclipse.nebula.jface.gridviewer

Methods in org.eclipse.nebula.jface.gridviewer that return Rectangle
Modifier and Type
Method
Description
`Rectangle`
GridViewerRow.`getBounds()`
`Rectangle`
GridViewerRow.`getBounds(int columnIndex)`

## Uses of Rectangle in org.eclipse.nebula.widgets.grid

Methods in org.eclipse.nebula.widgets.grid that return Rectangle
Modifier and Type
Method
Description
`protected Rectangle`
GridEditor.`computeBounds()`
Returns the bounds of the editor.
`Rectangle`
GridItem.`getBounds(int columnIndex)`
Returns a rectangle describing the receiver's size and location relative to its parent at a column in the table.

## Uses of Rectangle in org.eclipse.rap.rwt.remote

Methods in org.eclipse.rap.rwt.remote that return Rectangle
Modifier and Type
Method
Description
`static Rectangle`
JsonMapping.`readRectangle(JsonValue value)`
Returns an instance of Rectangle for the given JSON representation.
Methods in org.eclipse.rap.rwt.remote with parameters of type Rectangle
Modifier and Type
Method
Description
`static JsonValue`
JsonMapping.`toJson(Rectangle rect)`
Returns the JSON representation for the given Rectangle.

## Uses of Rectangle in org.eclipse.swt.accessibility

Fields in org.eclipse.swt.accessibility declared as Rectangle
Modifier and Type
Field
Description
`Rectangle[]`
AccessibleTextEvent.`rectangles`

## Uses of Rectangle in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom that return Rectangle
Modifier and Type
Method
Description
`Rectangle`
CTabFolder.`computeTrim(int x, int y, int width, int height)`
`Rectangle`
ViewForm.`computeTrim(int x, int y, int width, int height)`
`Rectangle`
CTabItem.`getBounds()`
Returns a rectangle describing the receiver's size and location relative to its parent.
`Rectangle`
CBanner.`getClientArea()`
`Rectangle`
CTabFolder.`getClientArea()`
///////////////////
`Rectangle`
ViewForm.`getClientArea()`

## Uses of Rectangle in org.eclipse.swt.graphics

Methods in org.eclipse.swt.graphics that return Rectangle
Modifier and Type
Method
Description
`Rectangle`
Device.`getBounds()`
Returns a rectangle describing the receiver's size and location.
`Rectangle`
Image.`getBounds()`
Returns the bounds of the receiver.
`Rectangle`
Device.`getClientArea()`
Returns a rectangle which describes the area of the receiver which is capable of displaying data.
`Rectangle`
GC.`getClipping()`
Returns the bounding rectangle of the receiver's clipping region.
`Rectangle`
Rectangle.`intersection(Rectangle rect)`
Returns a new rectangle which represents the intersection of the receiver and the given rectangle.
`Rectangle`
Rectangle.`union(Rectangle rect)`
Returns a new rectangle which represents the union of the receiver and the given rectangle.
Methods in org.eclipse.swt.graphics with parameters of type Rectangle
Modifier and Type
Method
Description
`void`
Rectangle.`add(Rectangle rect)`
Destructively replaces the x, y, width and height values in the receiver with ones which represent the union of the rectangles specified by the receiver and the given rectangle.
`void`
GC.`drawRectangle(Rectangle rect)`
Draws the outline of the specified rectangle, using the receiver's foreground color.
`void`
GC.`fillRectangle(Rectangle rect)`
Fills the interior of the specified rectangle, using the receiver's background color.
`void`
Rectangle.`intersect(Rectangle rect)`
Destructively replaces the x, y, width and height values in the receiver with ones which represent the intersection of the rectangles specified by the receiver and the given rectangle.
`Rectangle`
Rectangle.`intersection(Rectangle rect)`
Returns a new rectangle which represents the intersection of the receiver and the given rectangle.
`boolean`
Rectangle.`intersects(Rectangle rect)`
Returns `true` if the given rectangle intersects with the receiver and `false` otherwise.
`void`
GC.`setClipping(Rectangle rect)`
Sets the area of the receiver which can be changed by drawing operations to the rectangular area specified by the argument.
`Rectangle`
Rectangle.`union(Rectangle rect)`
Returns a new rectangle which represents the union of the receiver and the given rectangle.

## Uses of Rectangle in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Rectangle
Modifier and Type
Method
Description
`Rectangle`
Group.`computeTrim(int x, int y, int width, int height)`
`Rectangle`
Scrollable.`computeTrim(int x, int y, int width, int height)`
Given a desired client area for the receiver (as described by the arguments), returns the bounding rectangle which would be required to produce that client area.
`Rectangle`
Shell.`computeTrim(int x, int y, int width, int height)`
`Rectangle`
Spinner.`computeTrim(int x, int y, int width, int height)`
`Rectangle`
TabFolder.`computeTrim(int x, int y, int width, int height)`
`Rectangle`
Text.`computeTrim(int x, int y, int width, int height)`
`Rectangle`
Control.`getBounds()`
Returns a rectangle describing the receiver's size and location relative to its parent (or its display if its parent is null), unless the receiver is a shell.
`Rectangle`
CoolItem.`getBounds()`
Returns a rectangle describing the receiver's size and location relative to its parent.
`Rectangle`
Display.`getBounds()`
Returns a rectangle describing the receiver's size and location.
`Rectangle`
Event.`getBounds()`
Gets the bounds.
`Rectangle`
Monitor.`getBounds()`
Returns a rectangle describing the receiver's size and location relative to its device.
`Rectangle`
TabItem.`getBounds()`
Returns a rectangle describing the receiver's size and location relative to its parent.
`Rectangle`
TableItem.`getBounds()`
Returns a rectangle describing the receiver's size and location relative to its parent.
`Rectangle`
TableItem.`getBounds(int index)`
Returns a rectangle describing the receiver's size and location relative to its parent at a column in the table.
`Rectangle`
ToolItem.`getBounds()`
Returns a rectangle describing the receiver's size and location relative to its parent.
`Rectangle`
TouchSource.`getBounds()`
Returns the bounding rectangle of the device.
`Rectangle`
TreeItem.`getBounds()`
Returns a rectangle describing the receiver's size and location relative to its parent.
`Rectangle`
TreeItem.`getBounds(int index)`
Returns a rectangle describing the receiver's size and location relative to its parent at a column in the tree.
`Rectangle`
Group.`getClientArea()`
`Rectangle`
Monitor.`getClientArea()`
Returns a rectangle which describes the area of the receiver which is capable of displaying data.
`Rectangle`
Scrollable.`getClientArea()`
Returns a rectangle which describes the area of the receiver which is capable of displaying data (that is, not covered by the "trimmings").
`Rectangle`
Shell.`getClientArea()`
//////////////////
`Rectangle`
TabFolder.`getClientArea()`
`Rectangle`
TableItem.`getImageBounds(int index)`
Returns a rectangle describing the size and location relative to its parent of an image at a column in the table.
`Rectangle`
TreeItem.`getImageBounds(int index)`
Returns a rectangle describing the size and location relative to its parent of an image at a column in the tree.
`Rectangle`
TableItem.`getTextBounds(int index)`
Returns a rectangle describing the size and location relative to its parent of the text at a column in the table.
`Rectangle`
TreeItem.`getTextBounds(int index)`
Returns a rectangle describing the size and location relative to its parent of the text at a column in the tree.
`Rectangle`
Display.`map(Control from, Control to, int x, int y, int width, int height)`
Maps a point from one coordinate system to another.
`Rectangle`
Display.`map(Control from, Control to, Rectangle rectangle)`
Maps a point from one coordinate system to another.
Methods in org.eclipse.swt.widgets with parameters of type Rectangle
Modifier and Type
Method
Description
`Rectangle`
Display.`map(Control from, Control to, Rectangle rectangle)`
Maps a point from one coordinate system to another.
`void`
Control.`setBounds(Rectangle bounds)`
Sets the receiver's size and location to the rectangular area specified by the argument.
`void`
DateTime.`setBounds(Rectangle bounds)`
`void`
Event.`setBounds(Rectangle rect)`
Sets the bounds.
`void`
Shell.`setBounds(Rectangle bounds)`
`void`
ToolBar.`setBounds(Rectangle bounds)`